# Generated from gitlab-default_value_for-3.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gitlab-default_value_for

Name: rubygem-%{gem_name}
Version: 3.1.1
Release: 1%{?dist}
Summary: Provides a way to specify default values for ActiveRecord models
License: MIT
URL: https://github.com/gitlabhq/default_value_for
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(railties) >= 3.2.0
# BuildRequires: rubygem(railties) < 6.0
# BuildRequires: rubygem(minitest) >= 4.2
# BuildRequires: rubygem(minitest-around)
# BuildRequires: rubygem(appraisal)
BuildArch: noarch

%description
The default_value_for plugin allows one to define default values for
ActiveRecord models in a declarative manner.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.TXT
%{gem_instdir}/init.rb
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/default_value_for.gemspec
%{gem_instdir}/test.rb

%changelog
* Mon Aug 23 2021 mockbuilder - 3.1.1-1
- Initial package
